using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Bonus : MonoBehaviour {

    public int BonusPoints;

	public int multiplier;
	public float multiplierCoolDown;

	public float powerJumpCoolDown;
	public float shieldCooldown;

	float shieldTime = 3;
	float currentShieldT;
	public bool Shieldattivo { get; private set; }

	void Start()
	{
		Shieldattivo = false;
	}

	void Update()
	{

	}

    public int BonusMultiplier()
    {
		return multiplier;
    }

	public int BonusAddPoints()
    {
        //Aggiunge il valore di BonusPoints all'attuale qta. di punti 
        return BonusPoints;
    }

	public float BonusPowerJump()
    {
        
        return 1.25f;
    }

   




}
